summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorMatthias Dieter Wallnöfer <mdw@samba.org>2010-07-03 11:23:39 +0200
committerMatthias Dieter Wallnöfer <mdw@samba.org>2010-07-03 11:38:49 +0200
commit73c69a195abc68146352da399418b9f64a6ca803 (patch)
tree5d893125898cbfe83ef3439f898adc2779cb62d9 /testprogs
parentec9fa906c79c4f71d0230dd57dfde6dd67f37201 (diff)
downloadsamba-73c69a195abc68146352da399418b9f64a6ca803.tar.gz
samba-73c69a195abc68146352da399418b9f64a6ca803.tar.bz2
samba-73c69a195abc68146352da399418b9f64a6ca803.zip
s4:blackbox/test_passwords.sh - perform also here the adaptions for "minPwdAge" != 0
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_passwords.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testprogs/blackbox/test_passwords.sh b/testprogs/blackbox/test_passwords.sh
index 167c1b244f..de7e31ea77 100755
--- a/testprogs/blackbox/test_passwords.sh
+++ b/testprogs/blackbox/test_passwords.sh
@@ -48,6 +48,8 @@ test_smbclient() {
CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
export CONFIG
+testit "reset password policies beside of minimum password age of 0 days" $VALGRIND $net pwsettings $CONFIG set --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=0 --max-pwd-age=default || failed=`expr $failed + 1`
+
USERPASS=testPaSS@01%
testit "create user locally" $VALGRIND $newuser $CONFIG nettestuser $USERPASS $@ || failed=`expr $failed + 1`
@@ -161,8 +163,6 @@ USERPASS=$NEWUSERPASS
test_smbclient "Test login with user kerberos" 'ls' -k yes -Unettestuser@$REALM%$NEWUSERPASS || failed=`expr $failed + 1`
-testit "reset password policies" $VALGRIND $net pwsettings set $CONFIG --complexity=default --history-length=default --min-pwd-length=default --min-pwd-age=default --max-pwd-age=default || failed=`expr $failed + 1`
-
NEWUSERPASS=abcdefg
testit_expect_failure "try to set a non-complex password (command should not succeed)" $VALGRIND $net password change -W$DOMAIN "-U$DOMAIN/nettestuser%$USERPASS" -k no "$NEWUSERPASS" $@ && failed=`expr $failed + 1`